#!/usr/bin/perl -w

require 'from_section.pl';

push @SPECHOOKS, sub {
    my ($spec, $parent, $pkgname) = @_;
    foreach my $section ($spec->get_sections()) {
	if ($section->get_bodyref()->[0]=~m!^\s*\%postun\s+.*-p\s+(?:\%postun_|/sbin/)ldconfig!) {
	    $section->delete;
	}
    }
    &from_section($spec, $pkgname,'postun','\%postun_ldconfig',1);
    &from_section($spec, $pkgname,'postun','(?<!%)\%post_ldconfig',1);
    &from_section($spec, $pkgname,'postun','\[\s+-x\s+/sbin/postun_ldconfig\s+\]\s+\&\&\s+/sbin/postun_ldconfig.*',1);

};

1;
